# Uses of Class
javafx.scene.control.ListView

Packages that use ListView
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.cell
The `javafx.scene.control.cell` package is where all cell-related classes are located, other than the core classes such as `Cell`, `IndexedCell`, `ListCell`, `TreeCell`, and `TableCell`.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of ListView in javafx.scene.control

Methods in javafx.scene.control that return ListView
Modifier and Type
Method
Description
`final ListView<T>`
ListCell.`getListView()`
Gets the value of the `listView` property.
`ListView<T>`
ListView.EditEvent.`getSource()`
Returns the ListView upon which the edit took place.
Methods in javafx.scene.control that return types with arguments of type ListView
Modifier and Type
Method
Description
`ObjectProperty<Callback<ListView<T>,ListCell<T>>>`
ComboBox.`cellFactoryProperty()`
Providing a custom cell factory allows for complete customization of the rendering of items in the ComboBox.
`final ObjectProperty<Callback<ListView<T>,ListCell<T>>>`
ListView.`cellFactoryProperty()`
Setting a custom cell factory has the effect of deferring all cell creation, allowing for total customization of the cell.
`final Callback<ListView<T>,ListCell<T>>`
ComboBox.`getCellFactory()`
Gets the value of the `cellFactory` property.
`final Callback<ListView<T>,ListCell<T>>`
ListView.`getCellFactory()`
Returns the current cell factory.
`final ReadOnlyObjectProperty<ListView<T>>`
ListCell.`listViewProperty()`
The ListView associated with this Cell.
Methods in javafx.scene.control with parameters of type ListView
Modifier and Type
Method
Description
`final void`
ListCell.`updateListView(ListView<T> listView)`
Updates the ListView associated with this Cell.
Method parameters in javafx.scene.control with type arguments of type ListView
Modifier and Type
Method
Description
`final void`
ComboBox.`setCellFactory(Callback<ListView<T>,ListCell<T>> value)`
Sets the value of the `cellFactory` property.
`final void`
ListView.`setCellFactory(Callback<ListView<T>,ListCell<T>> value)`
Sets a new cell factory to use in the ListView.
Constructors in javafx.scene.control with parameters of type ListView
Modifier
Constructor
Description
``
`EditEvent(ListView<T> source, EventType<? extends ListView.EditEvent<T>> eventType, T newValue, int editIndex)`
Creates a new EditEvent instance to represent an edit event.

## Uses of ListView in javafx.scene.control.cell

Methods in javafx.scene.control.cell that return types with arguments of type ListView
Modifier and Type
Method
Description
`static <T> Callback<ListView<T>,ListCell<T>>`
CheckBoxListCell.`forListView(Callback<T,ObservableValue<Boolean>> getSelectedProperty)`
Creates a cell factory for use in ListView controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
CheckBoxListCell.`forListView(Callback<T,ObservableValue<Boolean>> getSelectedProperty, StringConverter<T> converter)`
Creates a cell factory for use in ListView controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ChoiceBoxListCell.`forListView(ObservableList<T> items)`
Creates a ChoiceBox cell factory for use in `ListView` controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ChoiceBoxListCell.`forListView(StringConverter<T> converter, ObservableList<T> items)`
Creates a ChoiceBox cell factory for use in `ListView` controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ChoiceBoxListCell.`forListView(StringConverter<T> converter, T... items)`
Creates a ChoiceBox cell factory for use in `ListView` controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ChoiceBoxListCell.`forListView(T... items)`
Creates a ChoiceBox cell factory for use in `ListView` controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ComboBoxListCell.`forListView(ObservableList<T> items)`
Creates a ComboBox cell factory for use in `ListView` controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ComboBoxListCell.`forListView(StringConverter<T> converter, ObservableList<T> items)`
Creates a ComboBox cell factory for use in `ListView` controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ComboBoxListCell.`forListView(StringConverter<T> converter, T... items)`
Creates a ComboBox cell factory for use in `ListView` controls.
`static <T> Callback<ListView<T>,ListCell<T>>`
ComboBoxListCell.`forListView(T... items)`
Creates a ComboBox cell factory for use in `ListView` controls.
`static Callback<ListView<String>,ListCell<String>>`
TextFieldListCell.`forListView()`
Provides a `TextField` that allows editing of the cell content when the cell is double-clicked, or when `edit(int)` is called.
`static <T> Callback<ListView<T>,ListCell<T>>`
TextFieldListCell.`forListView(StringConverter<T> converter)`
Provides a `TextField` that allows editing of the cell content when the cell is double-clicked, or when `edit(int)` is called.

## Uses of ListView in javafx.scene.control.skin

Constructors in javafx.scene.control.skin with parameters of type ListView
Modifier
Constructor
Description
``
`ListViewSkin(ListView<T> control)`
Creates a new ListViewSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.